- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

RSA_print, RSA_print_fp, DSAparams_print, DSAparams_print_fp, DSA_print, DSA_print_fp, DHparams_print, DHparams_print_fp - print cryptographic parameters

# SYNOPSIS

     #include <openssl/rsa.h>

Deprecated since OpenSSL 3.0, can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

     int RSA_print(BIO *bp, RSA *x, int offset);
     int RSA_print_fp(FILE *fp, RSA *x, int offset);

     #include <openssl/dsa.h>

Deprecated since OpenSSL 3.0, can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

     int DSAparams_print(BIO *bp, DSA *x);
     int DSAparams_print_fp(FILE *fp, DSA *x);
     int DSA_print(BIO *bp, DSA *x, int offset);
     int DSA_print_fp(FILE *fp, DSA *x, int offset);

     #include <openssl/dh.h>

Deprecated since OpenSSL 3.0, can be hidden entirely by defining OPENSSL_API_COMPAT with a suitable version value, see openssl_user_macros(7):

     int DHparams_print(BIO *bp, DH *x);
     int DHparams_print_fp(FILE *fp, DH *x);

# DESCRIPTION

All of the functions described on this page are deprecated. Applications should instead use EVP_PKEY_print_params(3) and EVP_PKEY_print_private(3).

A human-readable hexadecimal output of the components of the RSA key, DSA parameters or key or DH parameters is printed to bp or fp.

The output lines are indented by offset spaces.

# RETURN VALUES

These functions return 1 on success, 0 on error.

# SEE ALSO

     L<EVP_PKEY_print_params(3)>,
     L<EVP_PKEY_print_private(3)>,
     L<BN_bn2bin(3)>

# HISTORY

All of these functions were deprecated in OpenSSL 3.0.

# COPYRIGHT

Copyright 2000-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.